Uploaded image for project: 'Tools (JBoss Tools)'
  1. Tools (JBoss Tools)
  2. JBIDE-10312

Define a minimal target platform as opposed to the recommend one we have now for builds

    XMLWordPrintable

Details

    • Feature Request
    • Status: Closed (View Workflow)
    • Blocker
    • Resolution: Done
    • 4.0.0.Alpha2
    • 4.0.0.Beta1
    • build
    • None

    Description

      Seeing JBIDE-10311 made me realize that we actually could catch these by having a minimal target platform to either build or test against.

      The problem here is that a plugin got a plugin dependency based on the target platform - but the target platform have the latest 3.7.1 version meaning those users running 3.7.0 would have problems installing it.

      If we had a minimal target platform (.target) we could actually install/verify these issues against it.

      Not necessarily every night - but like once a week run the build or install the updatesite against the minimal target platform would
      reveal these dependency issues.

      WDYT?

      Attachments

        Issue Links

          Activity

            People

              mistria@redhat.com Mickael Istria
              manderse@redhat.com Max Andersen
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: